
CREATE UNIQUE INDEX I1_SHKProcessDefi0 ON SHKProcessDefinitions(Name) ;

CREATE UNIQUE INDEX I1_SHKProcesses ON SHKProcesses(Id) ;
CREATE  INDEX I2_SHKProcesses ON SHKProcesses(ProcessDefinition) ;
CREATE  INDEX I3_SHKProcesses ON SHKProcesses(State) ;
CREATE  INDEX I4_SHKProcesses ON SHKProcesses(ActivityRequesterId) ;
CREATE  INDEX I5_SHKProcesses ON SHKProcesses(ResourceRequesterId) ;

CREATE UNIQUE INDEX I1_SHKProcessRequ3 ON SHKProcessRequesters(Id) ;
CREATE  INDEX I2_SHKProcessRequ4 ON SHKProcessRequesters(ActivityRequester) ;
CREATE  INDEX I3_SHKProcessRequ5 ON SHKProcessRequesters(ResourceRequester) ;

CREATE UNIQUE INDEX I1_SHKActivities ON SHKActivities(Id) ;
CREATE  INDEX I2_SHKActivities ON SHKActivities(Process,ActivitySetDefinitionId,ActivityDefinitionId) ;
CREATE  INDEX I3_SHKActivities ON SHKActivities(Process,State) ;

CREATE UNIQUE INDEX I1_SHKResourcesT12 ON SHKResourcesTable(Username) ;

CREATE UNIQUE INDEX I1_SHKAssignment14 ON SHKAssignmentsTable(CNT) ;
CREATE UNIQUE INDEX I2_SHKAssignment15 ON SHKAssignmentsTable(Activity,TheResource) ;
CREATE  INDEX I3_SHKAssignment16 ON SHKAssignmentsTable(TheResource,IsValid) ;
CREATE  INDEX I4_SHKAssignment17 ON SHKAssignmentsTable(ActivityId) ;
CREATE  INDEX I5_SHKAssignment18 ON SHKAssignmentsTable(ResourceId) ;

CREATE UNIQUE INDEX I1_SHKProcessData ON SHKProcessData(CNT) ;
CREATE UNIQUE INDEX I2_SHKProcessData ON SHKProcessData(Process,VariableDefinitionId,OrdNo) ;

CREATE UNIQUE INDEX I1_SHKProcessDat23 ON SHKProcessDataWOB(CNT) ;
CREATE UNIQUE INDEX I2_SHKProcessDat24 ON SHKProcessDataWOB(Process,VariableDefinitionId,OrdNo) ;

CREATE UNIQUE INDEX I1_SHKProcessDat27 ON SHKProcessDataBLOBs(ProcessDataWOB,OrdNo) ;

CREATE UNIQUE INDEX I1_SHKActivityData ON SHKActivityData(CNT) ;
CREATE UNIQUE INDEX I2_SHKActivityData ON SHKActivityData(Activity,VariableDefinitionId,OrdNo) ;

CREATE UNIQUE INDEX I1_SHKActivityDa32 ON SHKActivityDataWOB(CNT) ;
CREATE UNIQUE INDEX I2_SHKActivityDa33 ON SHKActivityDataWOB(Activity,VariableDefinitionId,OrdNo) ;

CREATE UNIQUE INDEX I1_SHKActivityDa36 ON SHKActivityDataBLOBs(ActivityDataWOB,OrdNo) ;

CREATE UNIQUE INDEX I1_SHKAndJoinTable ON SHKAndJoinTable(CNT) ;
CREATE  INDEX I2_SHKAndJoinTable ON SHKAndJoinTable(Process,BlockActivity,ActivityDefinitionId) ;
CREATE  INDEX I3_SHKAndJoinTable ON SHKAndJoinTable(Activity) ;

CREATE UNIQUE INDEX I1_SHKDeadlines ON SHKDeadlines(CNT) ;
CREATE  INDEX I2_SHKDeadlines ON SHKDeadlines(Process,TimeLimit) ;
CREATE  INDEX I3_SHKDeadlines ON SHKDeadlines(Activity,TimeLimit) ;

CREATE UNIQUE INDEX I1_SHKProcessSta45 ON SHKProcessStates(KeyValue) ;
CREATE UNIQUE INDEX I2_SHKProcessSta46 ON SHKProcessStates(Name) ;

CREATE UNIQUE INDEX I1_SHKActivitySt48 ON SHKActivityStates(KeyValue) ;
CREATE UNIQUE INDEX I2_SHKActivitySt49 ON SHKActivityStates(Name) ;
